info.bioinfweb.jphyloio.formats.nexml

## Enum TokenTranslationStrategy

- java.lang.Object
- - java.lang.Enum<TokenTranslationStrategy>
  - - info.bioinfweb.jphyloio.formats.nexml.TokenTranslationStrategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TokenTranslationStrategy>

      public enum TokenTranslationStrategy
      extends java.lang.Enum<TokenTranslationStrategy>

  Instances of this enum can be used as parameter values for `ReadWriteParameterNames#KEY_NEXML_TOKEN_TRANSLATION_STRATEGY`. It enumerates ways how tokens stored in a NeXML characters block of type `standard` should be parsed.
  Since:
    0.0.0
  Author:
    Sarah Wiechers
  See Also:
    `ReadWriteParameterNames#KEY_NEXML_TOKEN_TRANSLATION_STRATEGY`, `NeXMLEventReader`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NEVER` Sequences consisting of symbols are parsed without change.
    `SYMBOL_TO_ID` Symbols are translated to according IDs.
    `SYMBOL_TO_LABEL` Symbols are translated to according labels, if no labels are present IDs are used.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TokenTranslationStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TokenTranslationStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final TokenTranslationStrategy NEVER

      Sequences consisting of symbols are parsed without change.

    - #### SYMBOL_TO_ID

          public static final TokenTranslationStrategy SYMBOL_TO_ID

      Symbols are translated to according IDs.

    - #### SYMBOL_TO_LABEL

          public static final TokenTranslationStrategy SYMBOL_TO_LABEL

      Symbols are translated to according labels, if no labels are present IDs are used.

  - ### Method Detail

    - #### values

          public static TokenTranslationStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TokenTranslationStrategy c : TokenTranslationStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TokenTranslationStrategy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null